@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

@import url('https://fonts.cdnfonts.com/css/be-vietnam');

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');

@font-face {
    font-family: 'SohneBreit';
    src: url('/homepage/fonts/logo-font.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root {
    --lato: "Lato", sans-serif;
    --be-vietnam:'Be Vietnam', sans-serif;
    --inter: "Inter", sans-serif;
    --space-grotesk: "Space Grotesk", sans-serif;
    --danger: #ef4444;
    --danger02: #FF2B2B;
    --whiteColor: #fff;
    --blackColor: #000;
    --content-width: 1024px;
}

*,
*:after,
*:before {
  box-sizing: border-box;
}

a,
button,
input,
textarea,
select,
div,
span {
    -webkit-tap-highlight-color: transparent;
    outline: none;
}

* {
    -webkit-tap-highlight-color: transparent;
}

html {
    scroll-behavior: smooth;
}

body {	
    font-family: var(--lato);
    font-size: 16px;
    font-weight: 400;    
    background:#000;
    color: #fff;	
    margin: 0;
}
body.home-body {
  overflow: hidden !important;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-weight: 700;
}

p,
figure,
label {
    margin: 0;
}

img {
    max-width: 100%;
    vertical-align: middle;
}

small {
    font-size: inherit;
}

a {
    display: inline-block;
    text-decoration: none;
    color: inherit;
}

a:hover{
    text-decoration: none;
}

ul {
    list-style-type: none;
    padding: 0; 
    margin: 0;
}

input,
button {
    background-color: transparent;
    border: 1px solid transparent;
    outline: none;;
}

button {
  margin: 0;
  padding: 0;
  border: 0;
}

input[type=number] {
    -moz-appearance: textfield;
    -webkit-appearance: textfield;
    appearance: textfield;
}

.font-medium {
    font-weight: 500 !important;
}

.font-semibold {
    font-weight: 600 !important;
}

.bg-included {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.absolute-center {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.flex-col-between {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.gap-x-26 {
    row-gap: 26px;
}

.wrapper {
  max-width: var(--content-width);
  margin-inline: auto;
  position: relative;
  background-color: #000;
}

html, body {
  height: 100%;
  margin: 0;
}

.home-wrapper {
  background-color: transparent;
}

.container {
  padding-inline: 20px;
  margin-inline: auto;
}

.home-wrapper {
  background-image: url(/homepage/images/home-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

/* .bg-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
} */

.home-wrapper {
  height: auto;
}

.home-wrapper .home-inner {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100vh;
  padding-block: 19px;
}

.home-wrapper .middle-conts {
  margin-block: auto;
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.home-wrapper .middle-conts .logo {
  font-size: 48px;
  line-height: 100%;
}

.home-wrapper .middle-conts .logo .treedi {
  font-weight: 400;
  font-family: 'Times New Roman', Times, serif;
  font-style: italic;
}

.home-wrapper .middle-conts .logo .health {
  font-weight: 700;
  font-family: var(--be-vietnam);
}

.home-wrapper .middle-conts .md-content p {
  font-size: 15px;
  font-weight: 400;
  line-height: 180%;
  color: #d4d4d4;
}
.home-wrapper .middle-conts .md-content span {
  color: #C0C0C0;
  font-size: 13px;
}

.home-wrapper .footer-content {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.home-wrapper .footer-content ul {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.home-wrapper .footer-content ul li a {
  background: #121212;
  border: 0.50px solid #373737;
  border-radius: 100px;
  padding: 15px 20px;
  display: flex;
  align-items: center;
  gap: 12px;
  font-weight: 500;
  font-size: 16px;
  justify-content: center;
}

.home-wrapper .footer p {
  font-size: 12px;
  text-align: center;
  color: #858585;
}

.home-wrapper .footer p a {
  text-align: center;
  color: #C6C6C6;
  font-weight: 500;
}

.home-wrapper .footer p a:hover {
  color: #fff;
}

.home02-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
}

.home02-wrapper .header-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 15px;
  padding-bottom: 13px;
  position: fixed;
  top: 0;
  background: #000;
  max-width: 918px;
  width: 100%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
}

/* Mask fade below header */
.home02-wrapper .header-nav::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -40px; /* height of fade area */
  width: 100%;
  height: 40px;
  pointer-events: none;
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,0.85),
    rgba(0,0,0,0)
  );
}

.home02-wrapper .header-nav button {
  cursor: pointer;
}

.home02-wrapper .mid-content {
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: center;
  text-align: center;
  margin-block: auto;
}

.home02-wrapper .mid-content .logo .treedi {
  font-style: italic;
  font-weight: 400;
  font-size: 20px;
  line-height: 124%;
  letter-spacing: -0.03em;
  text-align: center;
  color: rgba(255, 255, 255, 0.3);
  font-family: 'Times New Roman', Times, serif;
} 

.home02-wrapper .mid-content .logo .health {
 font-family: var(--be-vietnam);
  font-weight: 700;
  font-size: 20px;
  line-height: 124%;
  text-align: center;
  color: rgba(255, 255, 255, 0.3);
} 

.home02-wrapper .mid-content p {
  font-family: var(--second-family);
  font-weight: 300;
  font-size: 14px;
  line-height: 129%;
  letter-spacing: -0.02em;
  text-align: center;
  color: #e4e4e4;
}

.input-wrapper {
  display: flex;
  gap: 11px;
  padding-top: 10px;
  padding-bottom: 18px;
  background: #000;
  position: sticky;
  bottom: 0;
  z-index: 1000;
}

/* Fade mask above input */
.input-wrapper::before {
  content: "";
  position: absolute;
  left: 0;
  top: -50px;   
  width: 100%;
  height: 50px;
  pointer-events: none;
  background: linear-gradient(
    to top,
    rgba(0,0,0,0.9),
    rgba(0,0,0,0)
  );
}

.input-file input {
    display: none;
}

.file-btn {
    width: 46px;
    height: 46px;
    border-radius: 100px;
    background: #212121;   
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 0.3s;
    border: 1px solid #212121;
}

.file-btn:hover {
    background: #3a3a3a;
}

.input-wrapper form {
  width: 100%;
}

.input-wrapper .main-input {
  border-radius: 100px;
  height: 47px;
  background: #212121;
  padding: 6px 5px 6px 16px;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
}

.input-wrapper .main-input input {
  width: 100%;
  font-weight: 400;
  font-size: 16px;
  line-height: 183%;
  color: #b7b7b7;
  height: 100%;
  padding-right: 45px;
  caret-color: #4DA3FF;  
}

.input-wrapper .main-input input::placeholder {
  color: #b7b7b7c2;
}

.input-wrapper .main-input button {
  border-radius: 100px;
  width: 38px;
  height: 38px;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  z-index: 9;
  right: 6px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-family: var(--lato);
}

.input-wrapper .main-input button:hover {
  background-color: #e6e6e6;
}


/*==============
 Settings modal here 
 ============== */

 /* Overlay */
.bottom-modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.65);
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
    z-index: 999;
}

/* Modal */
.bottom-modal {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    max-width: var(--content-width);
    margin: auto;
    right: 0;
    background: #1C1C1E;
    color: #fff;
    border-radius: 20px 20px 0 0;
    transform: translateY(100%);
    transition: 0.35s ease;
    z-index: 1000;
}

/* Active State */
.bottom-modal.active {
    transform: translateY(0);
}

.bottom-modal-overlay.active {
    opacity: 1;
    visibility: visible;
}

/* Header */
.modal-header {
    padding-block: 19px;
}

.modal-header h3 {
  text-align: center;
  font-weight: 700;
  font-size: 16px;
  line-height: 131%;
  text-align: center;
  color: #fff;
  padding-top: 3px;
}

.modal-close {
    border: none;
    cursor: pointer;
    border-radius: 103px;
    width: 36px;
    height: 36px;
    background: #303030;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 16px;
    top: 19px;
}

.modal-close:hover {
  background-color: #3d3d3d;
}

.modal-body {
  overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.modal-body::-webkit-scrollbar {
    display: none;
}

/* Body */
.modal-body-inner {
    min-height: 150px;
    max-height: calc(97vh - 140px);
}

.setting-modal-conts {
  padding-block: 20px;
}

.modal-body .spacer {
  min-height: 20px;
}

.up-appointment-card {
  display: flex;
  gap: 13px;
  border: 1px solid rgba(16, 185, 129, 0.2);
  border-radius: 18px;
  padding: 17px;
  background: rgba(16, 185, 129, 0.07);
  margin-bottom: 24px;
}

.up-appointment-card h4 {
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  color: #34d399;
  padding-bottom: 5px;
  font-family: var(--inter);
}

.up-appointment-card p {
  font-style: italic;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #cbd5e1;
}

.up-appointment-card span {
  font-size: 14px;
  line-height: 130%;
  color: #cbd5e1;
  font-weight: 700;
  padding-top: 1px;
  padding-bottom: 10px;
  display: block;
}

.action-blocks-wrap {
  display: flex;
  flex-direction: column;
}

.action-blocks-wrap .single-block {
  border-radius: 18px;
  background: #2c2c2e;
  margin-bottom: 20px;
}

.action-blocks-wrap .single-block ul li:first-child {
   border-radius: 18px 18px 0 0;
}

.action-blocks-wrap .single-block ul li:last-child {
   border-radius: 0 0 18px 18px;
}

.action-blocks-wrap .single-block ul li  {
  padding: 16px 16px 0 16px;
}

.action-blocks-wrap .single-block ul li,
.action-blocks-wrap .single-block ul li a,
.action-blocks-wrap .single-block ul li button {
  display: flex;
  align-items: center;
  gap: 11.67px;
  cursor: pointer;
  width: 100%;
}

.action-blocks-wrap .single-block ul li .icon {
  padding-bottom: 15px;
}

.action-blocks-wrap .single-block ul li .list-content {
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: space-between;
  padding-bottom: 17px;
  border-bottom: 1px solid rgba(232, 232, 232, 0.3);
  width: 100%;
}

.action-blocks-wrap .single-block ul li:last-child .list-content {
  padding: 0;
  border: 0;
}

.action-blocks-wrap .single-block ul li:last-child .icon {
  padding-top: 2px;
  padding-bottom: 0;
}

.action-blocks-wrap .block-wrapper h3 {
  font-weight: 700;
  font-size: 16px;
  letter-spacing: 0.01em;
  color: #98989f;
  padding-bottom: 12px;
  padding-left: 12px;
}

.action-blocks-wrap .single-block ul li:last-child {
  padding-top: 16px !important;
  padding-bottom: 15px;
}

.action-blocks-wrap .support-block ul li {
  border-radius: 18px !important;
}

.action-blocks-wrap .single-block .list-content span {
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  color: #fff;
}

.action-blocks-wrap .single-block .list-content p {
  font-weight: 400;
  font-size: 14px;
  line-height: 143%;
  text-align: right;
  color: rgba(204, 204, 204, 0.8);
}

.action-blocks-wrap .single-block .list-content .lang {
  display: flex;
  gap: 10px;
  align-items: center;
}

.arrow {
  transform: scale(0.9) translateY(1.5px);
}

.pt-0 {
  padding-top: 0 !important;
}

.delete-account-btn .list-content span {
  color: var(--danger) !important;
}


/* =========================
   App Store Modal
========================= */

.app-modal-overlay {
  position: fixed;
  inset: 0;
  background: #101011cc;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 9999;
}

/* Active */
.app-modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

/* Modal Box */
.app-modal {
  width: 100%;
  max-width: calc(100% - 24px);
  border: 0.70px solid #363636;
  border-radius: 20px;
  color: white;
  transform: translateY(100%);
  transition: 0.35s ease;
  background: #121212;
}

/* Show animation */
.app-modal-overlay.active .app-modal {
  transform: translateY(-22px);
}

/* Bottom Variant */
.app-modal.bottom {
  border-radius: 20px;
}

/* Center Variant */
.app-modal.center {
  border-radius: 20px;
  transform: scale(0.8);
}

/* Center Mode */
.app-modal-overlay.center-mode {
  align-items: center;
}

.app-modal-overlay.center-mode.active .app-modal {
  transform: scale(1);
}

/* Close Button */
.modal-close {
  background: #2b2b2b;
  border: none;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  color: white;
  font-size: 18px;
  cursor: pointer;
}

/* Body */
.app-modal-body {
  min-height: 320px;
  overflow: auto;
}

/* Hide scrollbar */
.mapp-modal-body::-webkit-scrollbar {
  display: none;
}

.app-modal-body {
  scrollbar-width: none;
}


.app-store-files .single-file {
  text-align: center;
}

.app-store-files {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px 20px;
  padding: 20px;
}

.app-store-files .single-file button {
  text-align: center;
  cursor: pointer;
}

.app-store-files span {
  font-weight: 400;
  font-size: 12px;
  line-height: 211%;
  text-align: center;
  color: #fff;
  display: block;
  padding-top: 8px;
}

.action-modal .modal-header {
  padding: 16px;
}

.action-modal .modal-action-btns {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
  padding: 2px 16px 16px 16px;
}

.action-modal .modal-action-btns button {
  all: unset;
  border-radius: 100px;
  padding: 13px 30px;
  text-align: center;
  background: #313131;
  font-weight: 500;
  cursor: pointer;
  transition: 0.3s;
}

.action-modal .modal-action-btns button:hover {
  background: #3b3b3b;
}

.action-modal .app-modal-body {
  min-height: auto;
}

.action-modal .modal-action-btns button.delete-btn {
  color: var(--danger02) !important;
}

.lang-switcher-modal .app-modal-body {
  min-height: auto;
  padding: 16px 16px 20px 16px;
}

.lang-switcher-modal .lang-switcher-wp {
  background: #212121;
  padding-block: 13px;
  border-radius: 14px;
}

.lang-switcher-modal .lang-switcher-wp ul {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.lang-switcher-modal .lang-switcher-wp ul li {
  display: flex;
  align-items: center;
  gap: 10.13px;
  padding: 8px 15px;
  cursor: pointer;
  width: 100%;
  font-size: 14px;
}

.lang-switcher-modal .lang-switcher-wp ul li .icon {
  margin-left: auto;
  flex: 0 0 17px;
  width: 17px;
}

.lang-switcher-modal .lang-switcher-wp ul li .icon span {
  border: 0.85px solid #878787;
  border-radius: 24px;
  width: 17px;
  height: 17px;
  display: block;
  position: relative;
}

.lang-switcher-modal .lang-switcher-wp ul li.active .icon span {
  background-color: #fff;
  border-color: #fff;
}

.lang-switcher-modal .lang-switcher-wp ul li.active .icon span::after {
  content: "";
  width: 9px;
  height: 7px;
  display: block;
  background-image: url("/homepage/images/icons/checkmark.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: absolute;
  left: 49%;
  top: 50%;
  transform: translate(-50%,-50%);
}



/*===== Ai Thinking CSS Here =====*/

.ai-content {
  padding-top: 90px;
  /*! padding-bottom: 15px; */
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.ai-content-box {
  max-width: 261px;
  margin-left: auto;
  background: #212121;
  border-radius: 10px;
  padding: 14px 16px;
}

.ai-content-box p {
  font-size: 14px;
  font-weight: 500;
  font-family: var(--lato);
  color: var(--whiteColor);
}

.animate-pulse {
  margin-top: 30px;
  width: 18px;
  height: 18px;
  background: var(--whiteColor);
  border-radius: 50%;
  animation: pulse 1s ease-in-out infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.3);
  }
  100% {
    transform: scale(1);
  }
}

.input-wrapper .main-input-new button {
  background: #909090;
}

.input-wrapper .main-input-new input:not(:placeholder-shown) + button {
  background: #fff;
}

/*===== Home Variant CSS Here =====*/

.ai-response-content {
  /*! padding-top: 15px; */
}

.ai-response-content p {
  font-size: 14px;
  font-weight: 500;
  font-family: var(--lato);
  color: var(--whiteColor);
  line-height: 150%;
}

.ai-response-content .content-divider {
  height: 1px;
  width: 100%;
  background: #464646;
  display: block;
  margin: 20px 0;
}

.ai-response-content h4 {
  font-size: 16px;
  font-weight: 700;
  color: var(--whiteColor);
  font-family: var(--lato);
}

.ai-response-content ul {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 7px;
  counter-reset: myCounter;
}

.ai-response-content ul li {
  font-size: 14px;
  font-weight: 500;
  font-family: var(--lato);
  color: var(--whiteColor);
  list-style: none;
  counter-increment: myCounter;
}

.ai-response-content ul li strong {
  font-weight: 700;
}

.ai-response-content ul li::before {
  content: counter(myCounter) ". ";
  margin-right: 2px;
}

/*===== Image Upload CSS Here =====*/

.input-wrapper .image-upload-input {
  height: 120px;
  border-radius: 15px;
  display: flex;
  align-items: end;
}

.image-upload-input-wrapper {
  align-items: end;
}

.input-wrapper .image-upload-input button {
  bottom: 7px;
  top: initial;
  transform: translateY(0);
}

.input-wrapper .image-upload-input form {
  width: 100%;
}

.input-wrapper .upload-image-box {
  position: absolute;
  top: 8px;
  left: 8px;
}

.input-wrapper .upload-image-box > img {
  height: 60px;
  width: 60px;
  object-fit: cover;
}

.input-wrapper .upload-image-new {
  position: relative;
}

.upload-image-cross {
  position: absolute;
  top: 4px;
  right: 4px;
  background: #212121;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.upload-image-cross img {
  width: 5px;
  /*! height: 6px; */
  object-fit: cover;
}

.ai-content-img {
  text-align: end;
}

.ai-content-img img {
  max-width: 140px;
  max-height: 245px;
  object-fit: cover;
}

.input-wrapper .upload-video-new {
  padding: 11px 12px;
}

.input-wrapper .upload-video-box {
  background: #3C3C3C;
  max-width: 225px;
  width: 100%;
  border-radius: 10px;
}

.upload-video-content {
  display: flex;
  align-items: center;
  gap: 10px;
}

.upload-video-content h4 {
  font-size: 12px;
  font-weight: 500;
  color: var(--whiteColor);
  font-family: var(--lato);
}

.upload-video-content p {
  font-size: 12px;
  font-weight: 400;
  color: #CCCCCC;
  font-family: var(--lato);
}

.video-content-box {
  max-width: 260px;
  width: 100%;
  background: #212121;
  padding: 10px 16px;
  border-radius: 10px;
  margin-left: auto;
  display: flex;
  align-items: center;
  gap: 12px;
}

.video-content-box h4 {
  font-size: 14px;
  font-weight: 500;
  color: var(--whiteColor);
  font-family: var(--lato);
}

.video-content-box p {
  font-size: 14px;
  font-weight: 400;
  color: #CCCCCC;
  font-family: var(--lato);
}

.stripe-payment {
  margin-top: 15px;
  padding: 20px 16px;
  background: #212121;
  border-radius: 10px;
}

.stripe-payment-para p {
	font-size: 14px;
	font-weight: 500;
	font-family: var(--lato);
	color: var(--whiteColor);
}

.stripe-payment-box {
  margin-top: 20px;
  padding: 15px 10px;
  background: #313131;
  border: 1px solid #8B8B8B;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.stripe-payment-top {
  display: flex;
  align-items: center;
  gap: 10px;
}

.stripe-payment-top p {
  font-size: 12px;
  font-family: var(--inter);
  color: var(--whiteColor);
}

.stripe-payment-middle {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.stripe-payment-middle p {
  font-size: 12px;
  font-weight: 400;
  font-family: var(--lato);
  color: var(--whiteColor);
}

.stripe-payment-button {
  padding: 12px 10px;
  background: #7F54B3;
  border-radius: 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  transition: 0.2s;
}

.stripe-payment-button span,
.stripe-payment-button p {
  font-size: 14px;
  font-weight: 500;
  font-family: var(--lato);
  color: var(--whiteColor);
}

.stripe-payment-button span {
  font-size: 12px;
}

.stripe-payment-button:hover {
  background: #64379b;
}

.animation-text p {
    white-space: nowrap;
    display: inline-block;
}

.animation-text span {
    display: none;
}

.animation-text {
  min-height: 28px;
  font-family: var(--space-grotesk);
}

.home-footer {
  position: sticky;
  bottom: 20px;
}

.brand-logo  {
  display: flex;
  justify-content: center;
  padding-top: 3px;
}

.middle-conts .brand-logo {
  text-align: center;
}

.middle-conts .brand-logo span {
  font-size: 35px;
  display: block;
  padding-top: 6px;
  line-height: 100%;
  font-weight: 500;
   font-family: 'SohneBreit';
}

